Update Voice Pricing Route
curl --request PUT \
--url https://api.peachdeskai.com/api/v1/admin/voice-pricing \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"gpu_usd_per_hour": 123,
"concurrency_per_gpu": 123,
"tts_chars_per_sec": 123,
"stt_realtime_factor": 123,
"llm_tokens_per_sec": 1,
"llm_gpu_usd_per_hour": 1,
"llm_concurrency_per_gpu": 1,
"llm_prefill_tokens_per_sec": 1,
"llm_input_usd_per_1m_floor": 1,
"platform_fee_usd_per_session": 123
}
'import requests
url = "https://api.peachdeskai.com/api/v1/admin/voice-pricing"
payload = {
"gpu_usd_per_hour": 123,
"concurrency_per_gpu": 123,
"tts_chars_per_sec": 123,
"stt_realtime_factor": 123,
"llm_tokens_per_sec": 1,
"llm_gpu_usd_per_hour": 1,
"llm_concurrency_per_gpu": 1,
"llm_prefill_tokens_per_sec": 1,
"llm_input_usd_per_1m_floor": 1,
"platform_fee_usd_per_session": 123
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
gpu_usd_per_hour: 123,
concurrency_per_gpu: 123,
tts_chars_per_sec: 123,
stt_realtime_factor: 123,
llm_tokens_per_sec: 1,
llm_gpu_usd_per_hour: 1,
llm_concurrency_per_gpu: 1,
llm_prefill_tokens_per_sec: 1,
llm_input_usd_per_1m_floor: 1,
platform_fee_usd_per_session: 123
})
};
fetch('https://api.peachdeskai.com/api/v1/admin/voice-pricing', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.peachdeskai.com/api/v1/admin/voice-pricing",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => json_encode([
'gpu_usd_per_hour' => 123,
'concurrency_per_gpu' => 123,
'tts_chars_per_sec' => 123,
'stt_realtime_factor' => 123,
'llm_tokens_per_sec' => 1,
'llm_gpu_usd_per_hour' => 1,
'llm_concurrency_per_gpu' => 1,
'llm_prefill_tokens_per_sec' => 1,
'llm_input_usd_per_1m_floor' => 1,
'platform_fee_usd_per_session' => 123
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.peachdeskai.com/api/v1/admin/voice-pricing"
payload := strings.NewReader("{\n \"gpu_usd_per_hour\": 123,\n \"concurrency_per_gpu\": 123,\n \"tts_chars_per_sec\": 123,\n \"stt_realtime_factor\": 123,\n \"llm_tokens_per_sec\": 1,\n \"llm_gpu_usd_per_hour\": 1,\n \"llm_concurrency_per_gpu\": 1,\n \"llm_prefill_tokens_per_sec\": 1,\n \"llm_input_usd_per_1m_floor\": 1,\n \"platform_fee_usd_per_session\": 123\n}")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.put("https://api.peachdeskai.com/api/v1/admin/voice-pricing")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"gpu_usd_per_hour\": 123,\n \"concurrency_per_gpu\": 123,\n \"tts_chars_per_sec\": 123,\n \"stt_realtime_factor\": 123,\n \"llm_tokens_per_sec\": 1,\n \"llm_gpu_usd_per_hour\": 1,\n \"llm_concurrency_per_gpu\": 1,\n \"llm_prefill_tokens_per_sec\": 1,\n \"llm_input_usd_per_1m_floor\": 1,\n \"platform_fee_usd_per_session\": 123\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.peachdeskai.com/api/v1/admin/voice-pricing")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Put.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"gpu_usd_per_hour\": 123,\n \"concurrency_per_gpu\": 123,\n \"tts_chars_per_sec\": 123,\n \"stt_realtime_factor\": 123,\n \"llm_tokens_per_sec\": 1,\n \"llm_gpu_usd_per_hour\": 1,\n \"llm_concurrency_per_gpu\": 1,\n \"llm_prefill_tokens_per_sec\": 1,\n \"llm_input_usd_per_1m_floor\": 1,\n \"platform_fee_usd_per_session\": 123\n}"
response = http.request(request)
puts response.read_body{
"gpu_usd_per_hour": 123,
"concurrency_per_gpu": 123,
"tts_chars_per_sec": 123,
"stt_realtime_factor": 123,
"llm_tokens_per_sec": 123,
"llm_gpu_usd_per_hour": 123,
"llm_concurrency_per_gpu": 123,
"llm_prefill_tokens_per_sec": 123,
"llm_input_usd_per_1m_floor": 123,
"platform_fee_usd_per_session": 123,
"margin": 123,
"gpu_usd_per_hour_read_only_intent": true
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}main
Update Voice Pricing Route
Update infra pricing. Only provided fields change. gpu_usd_per_hour is
accepted (no hard block) so the SA can correct the hardware anchor.
PUT
/
api
/
v1
/
admin
/
voice-pricing
Update Voice Pricing Route
curl --request PUT \
--url https://api.peachdeskai.com/api/v1/admin/voice-pricing \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"gpu_usd_per_hour": 123,
"concurrency_per_gpu": 123,
"tts_chars_per_sec": 123,
"stt_realtime_factor": 123,
"llm_tokens_per_sec": 1,
"llm_gpu_usd_per_hour": 1,
"llm_concurrency_per_gpu": 1,
"llm_prefill_tokens_per_sec": 1,
"llm_input_usd_per_1m_floor": 1,
"platform_fee_usd_per_session": 123
}
'import requests
url = "https://api.peachdeskai.com/api/v1/admin/voice-pricing"
payload = {
"gpu_usd_per_hour": 123,
"concurrency_per_gpu": 123,
"tts_chars_per_sec": 123,
"stt_realtime_factor": 123,
"llm_tokens_per_sec": 1,
"llm_gpu_usd_per_hour": 1,
"llm_concurrency_per_gpu": 1,
"llm_prefill_tokens_per_sec": 1,
"llm_input_usd_per_1m_floor": 1,
"platform_fee_usd_per_session": 123
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
gpu_usd_per_hour: 123,
concurrency_per_gpu: 123,
tts_chars_per_sec: 123,
stt_realtime_factor: 123,
llm_tokens_per_sec: 1,
llm_gpu_usd_per_hour: 1,
llm_concurrency_per_gpu: 1,
llm_prefill_tokens_per_sec: 1,
llm_input_usd_per_1m_floor: 1,
platform_fee_usd_per_session: 123
})
};
fetch('https://api.peachdeskai.com/api/v1/admin/voice-pricing', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.peachdeskai.com/api/v1/admin/voice-pricing",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => json_encode([
'gpu_usd_per_hour' => 123,
'concurrency_per_gpu' => 123,
'tts_chars_per_sec' => 123,
'stt_realtime_factor' => 123,
'llm_tokens_per_sec' => 1,
'llm_gpu_usd_per_hour' => 1,
'llm_concurrency_per_gpu' => 1,
'llm_prefill_tokens_per_sec' => 1,
'llm_input_usd_per_1m_floor' => 1,
'platform_fee_usd_per_session' => 123
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.peachdeskai.com/api/v1/admin/voice-pricing"
payload := strings.NewReader("{\n \"gpu_usd_per_hour\": 123,\n \"concurrency_per_gpu\": 123,\n \"tts_chars_per_sec\": 123,\n \"stt_realtime_factor\": 123,\n \"llm_tokens_per_sec\": 1,\n \"llm_gpu_usd_per_hour\": 1,\n \"llm_concurrency_per_gpu\": 1,\n \"llm_prefill_tokens_per_sec\": 1,\n \"llm_input_usd_per_1m_floor\": 1,\n \"platform_fee_usd_per_session\": 123\n}")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.put("https://api.peachdeskai.com/api/v1/admin/voice-pricing")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"gpu_usd_per_hour\": 123,\n \"concurrency_per_gpu\": 123,\n \"tts_chars_per_sec\": 123,\n \"stt_realtime_factor\": 123,\n \"llm_tokens_per_sec\": 1,\n \"llm_gpu_usd_per_hour\": 1,\n \"llm_concurrency_per_gpu\": 1,\n \"llm_prefill_tokens_per_sec\": 1,\n \"llm_input_usd_per_1m_floor\": 1,\n \"platform_fee_usd_per_session\": 123\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.peachdeskai.com/api/v1/admin/voice-pricing")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Put.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"gpu_usd_per_hour\": 123,\n \"concurrency_per_gpu\": 123,\n \"tts_chars_per_sec\": 123,\n \"stt_realtime_factor\": 123,\n \"llm_tokens_per_sec\": 1,\n \"llm_gpu_usd_per_hour\": 1,\n \"llm_concurrency_per_gpu\": 1,\n \"llm_prefill_tokens_per_sec\": 1,\n \"llm_input_usd_per_1m_floor\": 1,\n \"platform_fee_usd_per_session\": 123\n}"
response = http.request(request)
puts response.read_body{
"gpu_usd_per_hour": 123,
"concurrency_per_gpu": 123,
"tts_chars_per_sec": 123,
"stt_realtime_factor": 123,
"llm_tokens_per_sec": 123,
"llm_gpu_usd_per_hour": 123,
"llm_concurrency_per_gpu": 123,
"llm_prefill_tokens_per_sec": 123,
"llm_input_usd_per_1m_floor": 123,
"platform_fee_usd_per_session": 123,
"margin": 123,
"gpu_usd_per_hour_read_only_intent": true
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Authorizations
Interactive user session: the login JWT, sent as Authorization: Bearer <token>.
Body
application/json
Required range:
x > 0Required range:
x > 0Required range:
x > 0Required range:
x > 0Required range:
x > 0Response
Successful Response
Current infra pricing + active margin. gpu_usd_per_hour is the real
server cost тАФ settable but flagged read-only-intent so the UI can lock it.

